PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

#define SELECT 20

CORE_dlapst - It is a modified version of the LAPACK routine D inspired from the ScaLAPACK dlapst.

Define a permutation INDX that sorts the numbers in D in increasing order (if ID = 'I') or in decreasing order (if ID = 'D' ).

Use Quick Sort, reverting to Insertion sort on arrays of size <= 20. Dimension of STACK limits N to about 2**32.

Parameters

  [in] | type | The type of sorting 'PlasmaIncreasingOrder' for increasing order 'PlasmaDecreasingOrder' for decreasing order
  [in] | n | n specifies the dimension of the array D
  [in] | D | D is the array to be sorted of dimension n.
  [out] | INDX | On exit, contains the permutation which sorts the array D. INDX is of dimension n.